import os
import sys
import random
import json
import product_gen.generate_product

from argparse import ArgumentParser

if __name__ == "__main__":
    
    argv = sys.argv
    argv = argv[argv.index("--") + 1:]
    shape_params = json.loads(argv[0])
    shape = shape_params['shape']
    output = shape_params['output']
    
    if not os.path.exists(os.getcwd() + "/" + output):
        os.makedirs(os.getcwd() + "/" + output)
    
    height = float(shape_params["height"])
    radius = float(shape_params["radius"])
    
    colors = [(0.1, 0.1, 0.1),
              (0.68, 0.68, 0.68),
              (0.033, 0.065, 0.376),
              (0.019, 0.202, 0.032)]
    color = random.choice(colors)
    product_gen.generate_product.generate(shape, height, radius, color, output)
    
    shape_parameters = shape_params
    shape_parameters["color"] = color
    with open(os.getcwd() + "/" + output + "/"+ output + '.json', 'w') as outfile:
        json.dump(shape_parameters, outfile)
